Bug 177274 - audio/beast: Update to version 0.7.8
Summary: audio/beast: Update to version 0.7.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 19:40 UTC by tkato432
Modified: 2013-03-25 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (36.33 KB, patch)
2013-03-22 19:40 UTC, tkato432
no flags Details | Diff
audio_beast.diff (36.32 KB, patch)
2013-03-23 19:25 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-03-22 19:40:03 UTC
- Update to version 0.7.8

Remove file:
files/patch-birnet_birnetcdefs.h
files/patch-bse_bsecxxplugin.hh
files/patch-bse_bseloader-bsewave.cc
files/patch-bse_bseloader-guspatch.cc
files/patch-bse_bseloader-oggvorbis.cc
files/patch-bse_bseloader.h
files/patch-configure
files/patch-tools_bsefextract.cc
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 19:40:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-23 17:52:36 UTC
State Changed
From-To: open->feedback

build fails: 
http://miwibox.org/tb/index.php?action=describe_port&id=1408
Comment 3 tkato432 2013-03-23 19:25:13 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2013-03-25 08:41:17 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-03-25 08:41:30 UTC
Author: miwi
Date: Mon Mar 25 08:41:13 2013
New Revision: 315203
URL: http://svnweb.freebsd.org/changeset/ports/315203

Log:
  - Update to 0.7.8
  
  PR:		177274
  Submitted by:	ports fury

Deleted:
  head/audio/beast/files/patch-birnet_birnetcdefs.h
  head/audio/beast/files/patch-bse_bsecxxplugin.hh
  head/audio/beast/files/patch-bse_bseloader-bsewave.cc
  head/audio/beast/files/patch-bse_bseloader-guspatch.cc
  head/audio/beast/files/patch-bse_bseloader-oggvorbis.cc
  head/audio/beast/files/patch-bse_bseloader.h
  head/audio/beast/files/patch-configure
  head/audio/beast/files/patch-tools_bsefextract.cc
Modified:
  head/audio/beast/Makefile
  head/audio/beast/distinfo
  head/audio/beast/pkg-plist

Modified: head/audio/beast/Makefile
==============================================================================
--- head/audio/beast/Makefile	Mon Mar 25 08:38:32 2013	(r315202)
+++ head/audio/beast/Makefile	Mon Mar 25 08:41:13 2013	(r315203)
@@ -2,32 +2,45 @@
 # $FreeBSD$
 
 PORTNAME=	beast
-PORTVERSION=	0.7.6
+PORTVERSION=	0.7.8
 CATEGORIES=	audio
-MASTER_SITES=	http://dist.testbit.eu/beast/v${PORTVERSION:R}/
+MASTER_SITES=	http://dist.testbit.eu/beast/%SUBDIR%/
+MASTER_SITE_SUBDIR=	v${PORTVERSION:R}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Powerful music composition and modular synthesis application
 
-LIB_DEPENDS=	vorbisfile:${PORTSDIR}/audio/libvorbis \
+LICENSE=	LGPL21
+
+LIB_DEPENDS=	asound:${PORTSDIR}/audio/alsa-lib \
 		mad:${PORTSDIR}/audio/libmad \
-		guile:${PORTSDIR}/lang/guile \
-		asound.2:${PORTSDIR}/audio/alsa-lib
+		vorbisfile:${PORTSDIR}/audio/libvorbis \
+		guile:${PORTSDIR}/lang/guile
+RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils
 
-BUILD_DEPENDS=	gsed:${PORTSDIR}/textproc/gsed
+OPTIONS_DEFINE_i386=	SSE
 
-USE_XORG=	x11
-USE_GMAKE=	yes
-USE_GNOME=	gnomehack intlhack libgnomecanvas
 USE_BZIP2=	yes
-USE_LDCONFIG=	yes
-GNU_CONFIGURE=	yes
+USES=		pathfix
+USE_GCC=	4.6+
+USE_GNOME=	gnomehier libgnomecanvas
 USE_GETTEXT=	yes
-CPPFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib -DENODATA=255
-CONFIGURE_ARGS=	--disable-debug \
+USE_GMAKE=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--disable-silent-rules \
 		--enable-osspcm=/dev/dsp \
 		--enable-ossmidi=/dev/midi
-MAKE_JOBS_UNSAFE=	yes
+USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
+
+CXXFLAGS+=	-fpermissive
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PLIST_SUB=	VERSION="${PORTVERSION}"
+
+MAN1=		beast.1 bsescm.1 bsewavetool.1 sfidl.1
+MAN5=		bse.5
 
 .include <bsd.port.pre.mk>
 
@@ -35,31 +48,31 @@ MAKE_JOBS_UNSAFE=	yes
 BROKEN=		Does not compile on powerpc: array bound is not an integer constant
 .endif
 
-HAS_SSE!=	${SYSCTL} -n hw.instruction_sse 2> /dev/null
-.if ${HAS_SSE} == 1
+.if ${PORT_OPTIONS:MSSE} || ${ARCH} == "amd64"
 PLIST_SUB+=	SSE=""
+SSE_FLAGS=	-mmmx -msse
 .else
 PLIST_SUB+=	SSE="@comment "
+SSE_FLAGS=	# none
 .endif
 
-PLIST_SUB+=	PORTVERSION=${PORTVERSION}
-
-MAN1=		beast.1 bsescm.1 bsewavetool.1 sfidl.1
-MAN5=		bse.5
+.if empty(PORT_OPTIONS:MDEBUG)
+CONFIGURE_ARGS+=--disable-debug
+.endif
 
 post-patch:
-	@${REINPLACE_CMD} -Ee 's|$${libdir}/ladspa|${LOCALBASE}/lib/ladspa|; \
-		/FLAGS=/ s/(-g|-ggdb3|-pipe|-O2|-ftracer|-finline-functions|-fno-keep-static-consts)//; \
-		s|echo aout|echo elf|g' \
-		${WRKSRC}/configure
-	@${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL}|' \
-		${WRKSRC}/autotools/intltool-merge
-	@${REINPLACE_CMD} -e 's|/bin/bash|${SH}|' \
-		${WRKSRC}/mkrelease.sh
-	@${REINPLACE_CMD} -e 's|-DG_DISABLE_DEPRECATED||g' \
-		${WRKSRC}/bse/Makefile.in \
-		${WRKSRC}/bse/zintern/Makefile.in
-	@${REINPLACE_CMD} -e 's|; q|;|; /pipefail/s|-o ||;' \
-	    ${WRKSRC}/docs/Makefile.in ${WRKSRC}/docs/Makefile.am
+	@${REINPLACE_CMD} -e \
+		'/^[[:space:]].*FLAGS -[Ofgp].*"/s|^|#| ; \
+		 s|-mmmx -msse \(-ftree-vectorize\)|${SSE_FLAGS} \1| ; \
+		 s|\(if test 0\) ==|\1 -eq| ; \
+		 s|\(bseladspapath=\)$${|\1\\\$${| ; \
+		 s|\(LDFLAGS=\)""|\1"$$LDFLAGS"|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|/bin/bash|${SH}|' ${WRKSRC}/mkrelease.sh
+	@${REINPLACE_CMD} -e \
+		's|BIRNET_.*_UINT == 0|1|' ${WRKSRC}/birnet/birnetcdefs.h
+	@${REINPLACE_CMD} -e \
+		's|; q|;| ; \
+		 s|-o \(pipefail\)|\1|' ${WRKSRC}/docs/Makefile.in
 
 .include <bsd.port.post.mk>

Modified: head/audio/beast/distinfo
==============================================================================
--- head/audio/beast/distinfo	Mon Mar 25 08:38:32 2013	(r315202)
+++ head/audio/beast/distinfo	Mon Mar 25 08:41:13 2013	(r315203)
@@ -1,2 +1,2 @@
-SHA256 (beast-0.7.6.tar.bz2) = 3eadbad7d7a7e6b51baf56c65f0b33b4a466ca8332d2a25bb0d26993360742ae
-SIZE (beast-0.7.6.tar.bz2) = 6355826
+SHA256 (beast-0.7.8.tar.bz2) = ffcf8e3b6f8728d0d07b3c4cf314286d9e88dd427d4bd3584372ab90dc14e8eb
+SIZE (beast-0.7.8.tar.bz2) = 6293313

Modified: head/audio/beast/pkg-plist
==============================================================================
--- head/audio/beast/pkg-plist	Mon Mar 25 08:38:32 2013	(r315202)
+++ head/audio/beast/pkg-plist	Mon Mar 25 08:41:13 2013	(r315203)
@@ -1,7 +1,7 @@
 bin/beast
-bin/beast-%%PORTVERSION%%
+bin/beast-%%VERSION%%
 bin/bsescm
-bin/bsescm-%%PORTVERSION%%
+bin/bsescm-%%VERSION%%
 bin/bsewavetool
 bin/sfidl
 include/birnet/birnet.hh
@@ -15,22 +15,22 @@ include/birnet/birnettests.h
 include/birnet/birnetthread.hh
 include/birnet/birnetutf8.hh
 include/birnet/birnetutils.hh
-include/bse/bse.h
+include/bse/bse.hh
 include/bse/bse.idl
-include/bse/bsebiquadfilter.h
+include/bse/bsebiquadfilter.hh
 include/bse/bseblockutils.hh
-include/bse/bsebus.h
+include/bse/bsebus.hh
 include/bse/bsebusmodule.idl
-include/bse/bsecategories.h
-include/bse/bsecompat.h
+include/bse/bsecategories.hh
+include/bse/bsecompat.hh
 include/bse/bseconfig.h
-include/bse/bseconstant.h
-include/bse/bseconstvalues.h
-include/bse/bsecontainer.h
-include/bse/bsecontextmerger.h
+include/bse/bseconstant.hh
+include/bse/bseconstvalues.hh
+include/bse/bsecontainer.hh
+include/bse/bsecontextmerger.hh
 include/bse/bsecore.genidl.hh
 include/bse/bsecore.idl
-include/bse/bsecsynth.h
+include/bse/bsecsynth.hh
 include/bse/bsecxxarg.hh
 include/bse/bsecxxbase.hh
 include/bse/bsecxxbase.idl
@@ -40,324 +40,271 @@ include/bse/bsecxxmodule.idl
 include/bse/bsecxxplugin.hh
 include/bse/bsecxxutils.hh
 include/bse/bsecxxvalue.hh
-include/bse/bsedatapocket.h
-include/bse/bsedefs.h
-include/bse/bsedevice.h
-include/bse/bseeditablesample.h
-include/bse/bseengine.h
-include/bse/bseenginemaster.h
-include/bse/bseenginenode.h
-include/bse/bseengineschedule.h
-include/bse/bseengineutils.h
-include/bse/bseenums.h
-include/bse/bseexports.h
-include/bse/bsefilter.h
-include/bse/bsegconfig.h
-include/bse/bsegenclosures.h
+include/bse/bsedatapocket.hh
+include/bse/bsedefs.hh
+include/bse/bsedevice.hh
+include/bse/bseeditablesample.hh
+include/bse/bseengine.hh
+include/bse/bseenginemaster.hh
+include/bse/bseenginenode.hh
+include/bse/bseengineschedule.hh
+include/bse/bseengineutils.hh
+include/bse/bseenums.hh
+include/bse/bseexports.hh
+include/bse/bsefilter.hh
+include/bse/bsegconfig.hh
+include/bse/bsegenclosures.hh
 include/bse/bsegentypes.h
-include/bse/bseglobals.h
-include/bse/bseglue.h
+include/bse/bseglobals.hh
+include/bse/bseglue.hh
 include/bse/bsehack.idl
-include/bse/bseieee754.h
-include/bse/bseincluder.h
-include/bse/bseinstrumentinput.h
-include/bse/bseinstrumentoutput.h
-include/bse/bseitem.h
-include/bse/bsejanitor.h
-include/bse/bseladspa.h
-include/bse/bseladspamodule.h
-include/bse/bseloader.h
-include/bse/bsemain.h
-include/bse/bsemath.h
-include/bse/bsemathsignal.h
-include/bse/bsemidicontroller.h
-include/bse/bsemididecoder.h
-include/bse/bsemididevice-null.h
-include/bse/bsemididevice-oss.h
-include/bse/bsemididevice.h
-include/bse/bsemidievent.h
-include/bse/bsemidifile.h
-include/bse/bsemidiinput.h
-include/bse/bsemidinotifier.h
-include/bse/bsemidireceiver.h
-include/bse/bsemidisynth.h
-include/bse/bsemidivoice.h
-include/bse/bsenote.h
-include/bse/bseobject.h
-include/bse/bseparam.h
-include/bse/bseparasite.h
-include/bse/bsepart.h
-include/bse/bsepcmdevice-null.h
-include/bse/bsepcmdevice-oss.h
-include/bse/bsepcmdevice.h
-include/bse/bsepcminput.h
-include/bse/bsepcmoutput.h
-include/bse/bsepcmwriter.h
-include/bse/bseplugin.h
+include/bse/bseieee754.hh
+include/bse/bseincluder.hh
+include/bse/bseinstrumentinput.hh
+include/bse/bseinstrumentoutput.hh
+include/bse/bseitem.hh
+include/bse/bsejanitor.hh
+include/bse/bseladspa.hh
+include/bse/bseladspamodule.hh
+include/bse/bseloader.hh
+include/bse/bsemain.hh
+include/bse/bsemath.hh
+include/bse/bsemathsignal.hh
+include/bse/bsemidicontroller.hh
+include/bse/bsemididecoder.hh
+include/bse/bsemididevice-null.hh
+include/bse/bsemididevice-oss.hh
+include/bse/bsemididevice.hh
+include/bse/bsemidievent.hh
+include/bse/bsemidifile.hh
+include/bse/bsemidiinput.hh
+include/bse/bsemidinotifier.hh
+include/bse/bsemidireceiver.hh
+include/bse/bsemidisynth.hh
+include/bse/bsemidivoice.hh
+include/bse/bsenote.hh
+include/bse/bseobject.hh
+include/bse/bseparam.hh
+include/bse/bseparasite.hh
+include/bse/bsepart.hh
+include/bse/bsepcmdevice-null.hh
+include/bse/bsepcmdevice-oss.hh
+include/bse/bsepcmdevice.hh
+include/bse/bsepcminput.hh
+include/bse/bsepcmoutput.hh
+include/bse/bsepcmwriter.hh
+include/bse/bseplugin.hh
 include/bse/bseprobe.idl
-include/bse/bseprocedure.h
-include/bse/bseproject.h
+include/bse/bseprocedure.hh
+include/bse/bseproject.hh
 include/bse/bseresampler.hh
 include/bse/bseresamplerimpl.hh
-include/bse/bsescripthelper.h
-include/bse/bsesequencer.h
-include/bse/bseserver.h
-include/bse/bsesnet.h
-include/bse/bsesnooper.h
-include/bse/bsesong.h
-include/bse/bsesource.h
-include/bse/bsestandardosc.h
-include/bse/bsestandardsynths.h
-include/bse/bsestorage.h
-include/bse/bsesubiport.h
-include/bse/bsesuboport.h
-include/bse/bsesubsynth.h
-include/bse/bsesuper.h
-include/bse/bsetrack.h
-include/bse/bsetype.h
-include/bse/bseundostack.h
-include/bse/bseutils.h
-include/bse/bsewave.h
-include/bse/bsewaveosc.h
-include/bse/bsewaverepo.h
-include/bse/gslcommon.h
-include/bse/gsldatacache.h
-include/bse/gsldatahandle-mad.h
-include/bse/gsldatahandle-vorbis.h
-include/bse/gsldatahandle.h
-include/bse/gsldatautils.h
-include/bse/gsldefs.h
-include/bse/gslfft.h
-include/bse/gslfilehash.h
-include/bse/gslfilter.h
-include/bse/gslmagic.h
-include/bse/gsloscillator.h
-include/bse/gslosctable.h
-include/bse/gslvorbis-cutter.h
-include/bse/gslvorbis-enc.h
-include/bse/gslwavechunk.h
-include/bse/gslwaveosc.h
-include/bse/ladspa.h
-include/sfi/glib-extra.h
-include/sfi/sfi.h
-include/sfi/sficomport.h
-include/sfi/sficomwire.h
+include/bse/bsescripthelper.hh
+include/bse/bsesequencer.hh
+include/bse/bseserver.hh
+include/bse/bsesnet.hh
+include/bse/bsesnooper.hh
+include/bse/bsesong.hh
+include/bse/bsesource.hh
+include/bse/bsestandardosc.hh
+include/bse/bsestandardsynths.hh
+include/bse/bsestorage.hh
+include/bse/bsesubiport.hh
+include/bse/bsesuboport.hh
+include/bse/bsesubsynth.hh
+include/bse/bsesuper.hh
+include/bse/bsetrack.hh
+include/bse/bsetype.hh
+include/bse/bseundostack.hh
+include/bse/bseutils.hh
+include/bse/bsewave.hh
+include/bse/bsewaveosc.hh
+include/bse/bsewaverepo.hh
+include/bse/gslcommon.hh
+include/bse/gsldatacache.hh
+include/bse/gsldatahandle-mad.hh
+include/bse/gsldatahandle-vorbis.hh
+include/bse/gsldatahandle.hh
+include/bse/gsldatautils.hh
+include/bse/gsldefs.hh
+include/bse/gslfft.hh
+include/bse/gslfilehash.hh
+include/bse/gslfilter.hh
+include/bse/gslmagic.hh
+include/bse/gsloscillator.hh
+include/bse/gslosctable.hh
+include/bse/gslvorbis-cutter.hh
+include/bse/gslvorbis-enc.hh
+include/bse/gslwavechunk.hh
+include/bse/gslwaveosc.hh
+include/bse/ladspa.hh
+include/sfi/glib-extra.hh
+include/sfi/sfi.hh
+include/sfi/sficomport.hh
+include/sfi/sficomwire.hh
 include/sfi/sficxx.hh
-include/sfi/sfifilecrawler.h
-include/sfi/sfiglue.h
-include/sfi/sfigluecodec.h
-include/sfi/sfiglueproxy.h
-include/sfi/sfimemory.h
-include/sfi/sfinote.h
-include/sfi/sfiparams.h
-include/sfi/sfiprimitives.h
-include/sfi/sfiring.h
-include/sfi/sfiserial.h
-include/sfi/sfistore.h
-include/sfi/sfitests.h
-include/sfi/sfitime.h
-include/sfi/sfitypes.h
-include/sfi/sfiustore.h
-include/sfi/sfivalues.h
-include/sfi/sfivmarshal.h
-include/sfi/sfiwrapper.h
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseblockutils.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseblockutils.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/artsplugins.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/artsplugins.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/contribplugins.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/contribplugins.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseplugins.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseplugins.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davplugins.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davplugins.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsesimpleadsr.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsesimpleadsr.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseadder.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseadder.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseatandistort.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseatandistort.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseiirfilter.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bseiirfilter.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsemixer.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsemixer.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsemult.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsemult.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsesequencer.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/bsesequencer.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davxtalstrings.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davxtalstrings.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davsyndrum.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davsyndrum.SSE.la
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davcanyondelay.SSE.so
-%%SSE%%lib/bse/v%%PORTVERSION%%/plugins/davcanyondelay.SSE.la
-lib/bse/v%%PORTVERSION%%/drivers/bsepcmdevice-alsa.so
-lib/bse/v%%PORTVERSION%%/drivers/bsepcmdevice-alsa.la
-lib/bse/v%%PORTVERSION%%/drivers/bsemididevice-alsa.so
-lib/bse/v%%PORTVERSION%%/drivers/bsemididevice-alsa.la
-lib/bse/v%%PORTVERSION%%/plugins/artsplugins.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/artsplugins.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bseadder.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bseadder.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bseatandistort.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bseatandistort.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bseiirfilter.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bseiirfilter.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bsemixer.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bsemixer.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bsemult.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bsemult.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bseplugins.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bseplugins.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bsesequencer.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bsesequencer.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/bsesimpleadsr.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/bsesimpleadsr.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/contribplugins.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/contribplugins.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/davcanyondelay.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/davcanyondelay.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/davplugins.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/davplugins.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/davsyndrum.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/davsyndrum.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/davxtalstrings.FPU.la
-lib/bse/v%%PORTVERSION%%/plugins/davxtalstrings.FPU.so
-lib/bse/v%%PORTVERSION%%/plugins/freeverb.la
-lib/bse/v%%PORTVERSION%%/plugins/freeverb.so
-lib/libbse-0.7.so.6
+include/sfi/sfifilecrawler.hh
+include/sfi/sfiglue.hh
+include/sfi/sfigluecodec.hh
+include/sfi/sfiglueproxy.hh
+include/sfi/sfimemory.hh
+include/sfi/sfinote.hh
+include/sfi/sfiparams.hh
+include/sfi/sfiprimitives.hh
+include/sfi/sfiring.hh
+include/sfi/sfiserial.hh
+include/sfi/sfistore.hh
+include/sfi/sfitests.hh
+include/sfi/sfitime.hh
+include/sfi/sfitypes.hh
+include/sfi/sfiustore.hh
+include/sfi/sfivalues.hh
+include/sfi/sfivmarshal.hh
+include/sfi/sfiwrapper.hh
+lib/bse/v%%VERSION%%/drivers/bsemididevice-alsa.la
+lib/bse/v%%VERSION%%/drivers/bsemididevice-alsa.so
+lib/bse/v%%VERSION%%/drivers/bsepcmdevice-alsa.la
+lib/bse/v%%VERSION%%/drivers/bsepcmdevice-alsa.so
+%%SSE%%lib/bse/v%%VERSION%%/plugins/bseblockutils.SSE.la
+%%SSE%%lib/bse/v%%VERSION%%/plugins/bseblockutils.SSE.so
+lib/bse/v%%VERSION%%/plugins/bseplugins.FPU.la
+lib/bse/v%%VERSION%%/plugins/bseplugins.FPU.so
+%%SSE%%lib/bse/v%%VERSION%%/plugins/bseplugins.SSE.la
+%%SSE%%lib/bse/v%%VERSION%%/plugins/bseplugins.SSE.so
+lib/bse/v%%VERSION%%/plugins/cxxplugins.FPU.la
+lib/bse/v%%VERSION%%/plugins/cxxplugins.FPU.so
+lib/bse/v%%VERSION%%/plugins/cxxplugins.SSE.la
+lib/bse/v%%VERSION%%/plugins/cxxplugins.SSE.so
+lib/bse/v%%VERSION%%/plugins/freeverb.la
+lib/bse/v%%VERSION%%/plugins/freeverb.so
+lib/libbse-0.7.so.8
 lib/libbse-0.7.so
 lib/libbse.la
 lib/libbse.so
 libdata/pkgconfig/bse.pc
 share/application-registry/beast.applications
 share/applications/beast.desktop
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/Beast-Quickstart.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/Beast_FAQ.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/beast-index.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/beast.1.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/bse.5.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/bsescm.1.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/bsewavetool.1.html
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/news-file.txt
-%%DATADIR%%/v%%PORTVERSION%%/docs/html/sfidl.1.html
-%%DATADIR%%/v%%PORTVERSION%%/images/beast-components.png
-%%DATADIR%%/v%%PORTVERSION%%/images/beast-mime.png
-%%DATADIR%%/v%%PORTVERSION%%/images/beast-progs.png
-%%DATADIR%%/v%%PORTVERSION%%/images/beast-splash.png
-%%DATADIR%%/v%%PORTVERSION%%/images/bse-mime.png
-%%DATADIR%%/v%%PORTVERSION%%/images/module-voices.png
-%%DATADIR%%/v%%PORTVERSION%%/keys/keyrc.de
-%%DATADIR%%/v%%PORTVERSION%%/keys/keyrc.us
-%%DATADIR%%/v%%PORTVERSION%%/skins/biogreen.skin
-%%DATADIR%%/v%%PORTVERSION%%/skins/blueimpress.skin
-%%DATADIR%%/v%%PORTVERSION%%/skins/brownforms.skin
-%%DATADIR%%/v%%PORTVERSION%%/skins/images/biogreen.jpg
-%%DATADIR%%/v%%PORTVERSION%%/skins/images/blueimpress.jpg
-%%DATADIR%%/v%%PORTVERSION%%/skins/images/brownforms.jpg
-%%DATADIR%%/v%%PORTVERSION%%/skins/images/moonpaper.png
-%%DATADIR%%/v%%PORTVERSION%%/skins/images/silvervein.png
-%%DATADIR%%/v%%PORTVERSION%%/skins/moonpaper.skin
-%%DATADIR%%/v%%PORTVERSION%%/skins/silvervein.skin
-%%DATADIR%%/v%%PORTVERSION%%/skins/white.skin
-share/bse/v%%PORTVERSION%%/demo/partymonster.bse
-share/bse/v%%PORTVERSION%%/demo/stereo-through.bse
-share/bse/v%%PORTVERSION%%/demo/x2-midi-test.bse
-share/bse/v%%PORTVERSION%%/effects/atan-canyon.bse
-share/bse/v%%PORTVERSION%%/effects/bqs-compressor.bse
-share/bse/v%%PORTVERSION%%/effects/bqs-reverb.bse
-share/bse/v%%PORTVERSION%%/effects/bqs-saturation-and-reverb.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-bass-drum-e8012.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-fretless-bass.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-merp-pad.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-moog-saw-bass.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-organ.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-queek-synth.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-slow-hum.bse
-share/bse/v%%PORTVERSION%%/instruments/bqs-syndrum.bse
-share/bse/v%%PORTVERSION%%/instruments/fsm-fresh-water-bass.bse
-share/bse/v%%PORTVERSION%%/instruments/fsm-growl-bass.bse
-share/bse/v%%PORTVERSION%%/instruments/fsm-synth-string-sweep.bse
-share/bse/v%%PORTVERSION%%/instruments/illus-vtremolo.bse
-share/bse/v%%PORTVERSION%%/instruments/stw-iron-string.bse
-share/bse/v%%PORTVERSION%%/samples/retrokit.bsewave
-share/bse/v%%PORTVERSION%%/scripts/bse-scm-glue.boot
-share/bse/v%%PORTVERSION%%/scripts/mixer-splitup-by-track.scm
-share/bse/v%%PORTVERSION%%/scripts/modules2grid.scm
-share/bse/v%%PORTVERSION%%/scripts/part-harmonic-transposer.scm
-share/bse/v%%PORTVERSION%%/scripts/progressor-example.scm
-share/bse/v%%PORTVERSION%%/scripts/record-midi.scm
-share/bse/v%%PORTVERSION%%/scripts/song-parts-operations.scm
-share/locale/ar/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/az/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/bg/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/ca/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/cs/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/da/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/de/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/el/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/en_CA/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/en_GB/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/eo/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/es/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/eu/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/fi/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/fr/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/hr/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/it/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/ja/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/mn/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/nb/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/ne/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/nl/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/oc/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/pa/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/pt/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/pt_BR/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/ru/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/rw/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/sl/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/sq/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/sr/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/sr@Latn/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/sv/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/te/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/uk/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
-share/locale/zh_CN/LC_MESSAGES/beast-v%%PORTVERSION%%.mo
+%%DATADIR%%/v%%VERSION%%/docs/html/Beast-Quickstart.html
+%%DATADIR%%/v%%VERSION%%/docs/html/Beast_FAQ.html
+%%DATADIR%%/v%%VERSION%%/docs/html/beast-index.html
+%%DATADIR%%/v%%VERSION%%/docs/html/beast.1.html
+%%DATADIR%%/v%%VERSION%%/docs/html/bse.5.html
+%%DATADIR%%/v%%VERSION%%/docs/html/bsescm.1.html
+%%DATADIR%%/v%%VERSION%%/docs/html/bsewavetool.1.html
+%%DATADIR%%/v%%VERSION%%/docs/html/news-file.txt
+%%DATADIR%%/v%%VERSION%%/docs/html/sfidl.1.html
+%%DATADIR%%/v%%VERSION%%/images/beast-components.png
+%%DATADIR%%/v%%VERSION%%/images/beast-mime.png
+%%DATADIR%%/v%%VERSION%%/images/beast-progs.png
+%%DATADIR%%/v%%VERSION%%/images/beast-splash.png
+%%DATADIR%%/v%%VERSION%%/images/bse-mime.png
+%%DATADIR%%/v%%VERSION%%/images/module-voices.png
+%%DATADIR%%/v%%VERSION%%/keys/keyrc.de
+%%DATADIR%%/v%%VERSION%%/keys/keyrc.us
+%%DATADIR%%/v%%VERSION%%/skins/biogreen.skin
+%%DATADIR%%/v%%VERSION%%/skins/blueimpress.skin
+%%DATADIR%%/v%%VERSION%%/skins/brownforms.skin
+%%DATADIR%%/v%%VERSION%%/skins/images/biogreen.jpg
+%%DATADIR%%/v%%VERSION%%/skins/images/blueimpress.jpg
+%%DATADIR%%/v%%VERSION%%/skins/images/brownforms.jpg
+%%DATADIR%%/v%%VERSION%%/skins/images/moonpaper.png
+%%DATADIR%%/v%%VERSION%%/skins/images/silvervein.png
+%%DATADIR%%/v%%VERSION%%/skins/moonpaper.skin
+%%DATADIR%%/v%%VERSION%%/skins/silvervein.skin
+%%DATADIR%%/v%%VERSION%%/skins/white.skin
+share/bse/v%%VERSION%%/demo/partymonster.bse
+share/bse/v%%VERSION%%/demo/stereo-through.bse
+share/bse/v%%VERSION%%/demo/x2-midi-test.bse
+share/bse/v%%VERSION%%/effects/atan-canyon.bse
+share/bse/v%%VERSION%%/effects/bqs-compressor.bse
+share/bse/v%%VERSION%%/effects/bqs-reverb.bse
+share/bse/v%%VERSION%%/effects/bqs-saturation-and-reverb.bse
+share/bse/v%%VERSION%%/instruments/bqs-bass-drum-e8012.bse
+share/bse/v%%VERSION%%/instruments/bqs-fretless-bass.bse
+share/bse/v%%VERSION%%/instruments/bqs-merp-pad.bse
+share/bse/v%%VERSION%%/instruments/bqs-moog-saw-bass.bse
+share/bse/v%%VERSION%%/instruments/bqs-organ.bse
+share/bse/v%%VERSION%%/instruments/bqs-queek-synth.bse
+share/bse/v%%VERSION%%/instruments/bqs-slow-hum.bse
+share/bse/v%%VERSION%%/instruments/bqs-syndrum.bse
+share/bse/v%%VERSION%%/instruments/fsm-fresh-water-bass.bse
+share/bse/v%%VERSION%%/instruments/fsm-growl-bass.bse
+share/bse/v%%VERSION%%/instruments/fsm-synth-string-sweep.bse
+share/bse/v%%VERSION%%/instruments/illus-vtremolo.bse
+share/bse/v%%VERSION%%/instruments/stw-iron-string.bse
+share/bse/v%%VERSION%%/samples/retrokit.bsewave
+share/bse/v%%VERSION%%/scripts/bse-scm-glue.boot
+share/bse/v%%VERSION%%/scripts/mixer-splitup-by-track.scm
+share/bse/v%%VERSION%%/scripts/modules2grid.scm
+share/bse/v%%VERSION%%/scripts/part-harmonic-transposer.scm
+share/bse/v%%VERSION%%/scripts/progressor-example.scm
+share/bse/v%%VERSION%%/scripts/record-midi.scm
+share/bse/v%%VERSION%%/scripts/song-parts-operations.scm
+share/locale/ar/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/az/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/bg/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/ca/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/cs/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/da/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/de/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/el/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/en_CA/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/en_GB/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/eo/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/es/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/eu/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/fi/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/fr/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/hr/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/it/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/ja/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/mn/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/nb/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/ne/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/nl/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/oc/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/pa/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/pt/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/pt_BR/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/ru/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/rw/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/sl/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/sq/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/sr/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/sr@Latn/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/sv/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/te/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/uk/LC_MESSAGES/beast-v%%VERSION%%.mo
+share/locale/zh_CN/LC_MESSAGES/beast-v%%VERSION%%.mo
 share/mime-info/bse.keys
 share/mime-info/bse.mime
-share/mime/audio/x-bse.xml
-share/mime/audio/x-bsewave.xml
 share/mime/packages/beast.xml
 share/pixmaps/beast-audio-x-bse.png
 share/pixmaps/beast.png
-@dirrmtry share/mime/packages
-@dirrmtry share/mime/audio
-@dirrmtry share/mime
 @dirrmtry share/locale/rw/LC_MESSAGES
 @dirrmtry share/locale/rw
-@dirrm share/bse/v%%PORTVERSION%%/scripts
-@dirrm share/bse/v%%PORTVERSION%%/samples
-@dirrm share/bse/v%%PORTVERSION%%/instruments
-@dirrm share/bse/v%%PORTVERSION%%/effects
-@dirrm share/bse/v%%PORTVERSION%%/demo
-@dirrm share/bse/v%%PORTVERSION%%
+@dirrm share/bse/v%%VERSION%%/scripts
+@dirrm share/bse/v%%VERSION%%/samples
+@dirrm share/bse/v%%VERSION%%/instruments
+@dirrm share/bse/v%%VERSION%%/effects
+@dirrm share/bse/v%%VERSION%%/demo
+@dirrm share/bse/v%%VERSION%%
 @dirrm share/bse
-@dirrm %%DATADIR%%/v%%PORTVERSION%%/skins/images
-@dirrm %%DATADIR%%/v%%PORTVERSION%%/skins
-@dirrm %%DATADIR%%/v%%PORTVERSION%%/keys
-@dirrm %%DATADIR%%/v%%PORTVERSION%%/images
-@dirrm %%DATADIR%%/v%%PORTVERSION%%/docs/html
-@dirrm %%DATADIR%%/v%%PORTVERSION%%/docs
-@dirrm %%DATADIR%%/v%%PORTVERSION%%
+@dirrm %%DATADIR%%/v%%VERSION%%/skins/images
+@dirrm %%DATADIR%%/v%%VERSION%%/skins
+@dirrm %%DATADIR%%/v%%VERSION%%/keys
+@dirrm %%DATADIR%%/v%%VERSION%%/images
+@dirrm %%DATADIR%%/v%%VERSION%%/docs/html
+@dirrm %%DATADIR%%/v%%VERSION%%/docs
+@dirrm %%DATADIR%%/v%%VERSION%%
 @dirrm %%DATADIR%%
 @dirrmtry share/applications
-@dirrmtry share/application-registry
-@dirrmtry share/mime-info
-@dirrm lib/bse/v%%PORTVERSION%%/plugins
-@dirrm lib/bse/v%%PORTVERSION%%/drivers
-@dirrm lib/bse/v%%PORTVERSION%%
+@dirrm lib/bse/v%%VERSION%%/plugins
+@dirrm lib/bse/v%%VERSION%%/drivers
+@dirrm lib/bse/v%%VERSION%%
 @dirrm lib/bse
 @dirrm include/sfi
 @dirrm include/bse
 @dirrm include/birnet
+@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
+@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"